# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=make
pkgver=4.3
pkgrel=2
pkgdesc="GNU make utility to maintain groups of programs"
arch=('x86_64')
url="https://www.gnu.org/software/make"
license=('GPL3')
groups=('base')
depends=('glibc' 'guile')
makedepends=('bash' 'binutils' 'coreutils' 'gcc' 'gettext' 'grep' 'sed' 'texinfo')
checkdepends=('perl' 'procps-ng')
source=(https://ftp.gnu.org/gnu/${pkgname}/${pkgname}-${pkgver}.tar.gz)
sha256sums=(e05fdde47c5f7ca45cb697e973894ff4f5d79e13b750ed57d7b66d8defc78e19)

build() {
    cd ${pkgname}-${pkgver}

    ${configure}

    make
}

package() {
    cd ${pkgname}-${pkgver}

    make DESTDIR=${pkgdir} install
}
